Subject: bug#65752: 29.1; package-vc-install fails to install Helm package

From: Philip Kaludercic <[email-masked]>
Date: Fri, 11 Apr 2025 21:45:36 +0000

Thierry Volpiatto <[email-masked]> writes:

> Philip Kaludercic <[email-masked]> writes:
>
>> Philip Kaludercic <[email-masked]> writes:
>>
>>> Sean Whitton <[email-masked]> writes:
>>>
>>>> Hello,
>>>>
>>>> On Sat 09 Sep 2023 at 08:55am GMT, Thierry Volpiatto wrote:
>>>>
>>>>> I don't know, I am not able to reproduce now, I have always error:
>>>>>
>>>>> Debugger entered--Lisp error: (error "Empty checkout for helm-core")
>>>>>   signal(error ("Empty checkout for helm-core"))
>>>>>   error("Empty checkout for %s" helm-core)
>>>>>   package-vc--unpack(#s(package-desc :name helm-core :version nil :summary "No
>>>>> description available." :reqs nil :kind vc :archive nil :dir
>>>>> "/home/thierry/.emacs.d/elpa/helm-core/" :extras nil :signed nil) (:url
>>>>> "https://github.com/emacs-helm/helm.git" :main-file "helm-core.el") nil)
>>>>>   package-vc-install((helm-core :url "https://github.com/emacs-helm/helm.git"
>>>>> :main-file "helm-core.el"))
>>>>>   (progn (package-vc-install '(helm-core :url
>>>>> "https://github.com/emacs-helm/helm.git" :main-file "helm-core.el")))
>>>>>   eval((progn (package-vc-install '(helm-core :url
>>>>> "https://github.com/emacs-helm/helm.git" :main-file "helm-core.el"))) t)
>>>>>   elisp--eval-last-sexp(nil)
>>>>>   eval-last-sexp(nil)
>>>>>   funcall-interactively(eval-last-sexp nil)
>>>>>   call-interactively(eval-last-sexp nil nil)
>>>>>   command-execute(eval-last-sexp)
>>>>
>>>> Thierry, can you still reproduce this error?
>>>>
>>>> If not, I think we should close this as 'wontfix'.
>>>
>>> I don't run into this bug, but I cannot enable anything since there
>>> appears to be an implicit dependency on "async"?
>>
>> Ping?
>
> Not sure to understand what you need/want here, perhaps you can develop?

I don't have the issue you mentioned last September when installing Helm
via package-vc.  Does installing Helm via package-vc still trigger this
stack trace?

> Thanks.